> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List node groups

> Browser session authentication; RBAC permission `clusters.read`. PAT mutations support `wait=false` where implemented; browser mutations require CSRF.



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /org/clusters/scaleway/{cluster_id}/node-groups
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /org/clusters/scaleway/{cluster_id}/node-groups:
    get:
      tags:
        - Scaleway / Kapsule
      summary: List node groups
      description: >-
        Browser session authentication; RBAC permission `clusters.read`. PAT
        mutations support `wait=false` where implemented; browser mutations
        require CSRF.
      operationId: list_node_groups_scaleway_browser
      parameters:
        - in: path
          name: cluster_id
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NodeGroupListResult'
          description: Successful response
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Invalid request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Unauthenticated
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Permission or CSRF check failed
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Resource not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Request validation failed
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Provider or internal failure
      security:
        - SessionCookie: []
components:
  schemas:
    NodeGroupListResult:
      properties:
        node_groups:
          items:
            $ref: '#/components/schemas/NodeGroupInfo'
          title: Node Groups
          type: array
      required:
        - node_groups
      title: NodeGroupListResult
      type: object
    ContractDetailError:
      example:
        detail: Cluster not found
      properties:
        detail:
          oneOf:
            - type: string
            - additionalProperties: true
              properties: {}
              type: object
      required:
        - detail
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    NodeGroupInfo:
      properties:
        count:
          title: Count
          type: integer
        instance_type:
          title: Instance Type
          type: string
        labels:
          additionalProperties:
            type: string
          title: Labels
          type: object
        max:
          default: 100
          title: Max
          type: integer
        min:
          default: 0
          title: Min
          type: integer
        name:
          title: Name
          type: string
        taints:
          items:
            $ref: '#/components/schemas/NodeTaint'
          title: Taints
          type: array
      required:
        - name
        - instance_type
        - count
      title: NodeGroupInfo
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    NodeTaint:
      properties:
        effect:
          enum:
            - NoSchedule
            - PreferNoSchedule
            - NoExecute
          title: Effect
          type: string
        key:
          title: Key
          type: string
        value:
          default: ''
          title: Value
          type: string
      required:
        - key
        - effect
      title: NodeTaint
      type: object
  securitySchemes:
    SessionCookie:
      description: Browser session. Mutations also require X-Ankra-CSRF.
      in: cookie
      name: ankra_session
      type: apiKey

````